// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::translate::*;
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlThemeManager")]
    pub struct ThemeManager(Object<ffi::DzlThemeManager, ffi::DzlThemeManagerClass>);

    match fn {
        type_ => || ffi::dzl_theme_manager_get_type(),
    }
}

impl ThemeManager {
    #[doc(alias = "dzl_theme_manager_new")]
    pub fn new() -> ThemeManager {
        assert_initialized_main_thread!();
        unsafe { from_glib_full(ffi::dzl_theme_manager_new()) }
    }

    #[doc(alias = "dzl_theme_manager_add_resources")]
    pub fn add_resources(&self, resource_path: &str) {
        unsafe {
            ffi::dzl_theme_manager_add_resources(
                self.to_glib_none().0,
                resource_path.to_glib_none().0,
            );
        }
    }

    #[doc(alias = "dzl_theme_manager_remove_resources")]
    pub fn remove_resources(&self, resource_path: &str) {
        unsafe {
            ffi::dzl_theme_manager_remove_resources(
                self.to_glib_none().0,
                resource_path.to_glib_none().0,
            );
        }
    }
}

impl Default for ThemeManager {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for ThemeManager {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("ThemeManager")
    }
}
